<h2 id="october-2019">
  October 2019
  <span id="authors">by @Bauke</span>
</h2>

### GitHub Sponsors

Back in May of 2019, GitHub announced ["GitHub Sponsors: a new way to contribute to open source"](https://github.blog/2019-05-23-announcing-github-sponsors-a-new-way-to-contribute-to-open-source/), allowing people to donate to open-source projects directly via GitHub. And recently on the 28th, @Deimos [was accepted into the program](https://tild.es/it2). The main interesting parts about it for Tildes though are: for the first 12 months of the program 100% of any donations will go to the developer (no transaction fees or GitHub taking a cut) _and_, GitHub will match up to $5000 during the project's first year in the program (note: there have been some people that didn't get their donations matched, [see this comment chain for more info](https://tildes.net/~tildes.official/it2/ive_been_accepted_into_github_sponsors_if_you_have_a_patreon_pledge_or_other_recurring_donation_to#comment-4408)). So knowing all that, if you can, please consider donating (preferably through GitHub Sponsors)! Thank you!

### Layout Changes

At the start of October, some changes were made to the layout of topics and tags to rearrange them and display them in a better way:

* You can now hide tags in the topic listing, available as a [setting in your profile](https://tildes.net/settings).
* Certain "important tags" will always be shown regardless of the setting, such as "nsfw" and "spoiler", as well as any group-specific ones. The ability to add those was also added, although there's no interface for it yet.
* Tags are now displayed below the topic title when in a topic's comments page, these used to be in the sidebar.
* When posting a new topic, the "add tags" section is now collapsed by default. If you express interest in adding tags when posting or editing an existing topic's tags this section will be visible by default.
* Content metadata such as word count, published date, video length, etc. is now displayed next to the group name.
* Favicons for link topics were moved to the "topic source" section where you usually see the link's domain, Youtube channel, or similar.
* A "content type" [was also added](https://tild.es/ibp) to the topic listing used to identify topics like articles, "ask" topics, videos, etc.

### Scheduled Recurring Topics

On the 10th, [a new feature was added](https://tild.es/ibp) for automatic posting of recurring topics. Previously several members of Tildes would post these recurring topics themselves, but now there's support for these to be posted automatically through [a "system" account](https://tildes.net/user/Tildes).

### Upgraded Search

On October 14th, [search was added to user's profiles](https://tild.es/iha). For now you can only search through your own topics and comments.

On October 21st, PostgreSQL (the database system Tildes uses) was upgraded to version 12 that introduced a whole variety of search features, check out [the official announcement topic](https://tild.es/imp) to get some examples of the new features. It includes stuff like quoted searches, excluding terms, and more.

### Open Source Contributions

* [Jason S.](https://gitlab.com/master5o1) added [the ability](https://gitlab.com/tildes/tildes/commit/2546f831dcc7243ed9d5ebb8e20ad3035e83b63f) to click on your filtered tags in the sidebar.
* @Deing added [theme previews](https://gitlab.com/tildes/tildes/commit/810a54076e054829281f7cc468c7cf48a0c7518e) to easily see the differences and test out themes, [available here](https://tildes.net/settings/theme_previews).
