<h2 id="march-2020">
  March 2020
  <span id="authors">by @Bauke</span>
</h2>

### Permissions Rework

The internal permissions system was reworked to enable new features and clean it up a bit. The main features include:

* There is no more `admin` permission meaning that every permission now has to be granted individually. Previously you had to have this permission to do a whole bunch of things like being able to reply to locked threads, viewing a removed post's content...
* Being able to grant and deny permissions on a group-specific level, such as the ability to edit tags only in a particular group. Or to allow you to edit tags in all groups except for ~tildes, for example.

### COVID-19

Due to the coronavirus pandemic and all that has come with it, @Deimos made some rapid-fire changes to accommodate all the news and topics related to the pandemic:

* A new group, ~health.coronavirus, was made to keep the topics a bit more contained. Alongside that, `coronaviruses.covid19` [has become the established tag](https://tild.es/mk3) to use for filtering purposes.
* A new "views" is now available in the header. At the moment it's to provide a quick way to view either all coronavirus-related topics or only the unrelated ones.

### Various New Features

* The [overall groups page](https://tildes.net/groups) was redesigned to include some daily activity statistics for each group.
* A set of tags has been added to the tags editor so they always show up in the autocompletion, the current list of tags is `nsfw`, `spoiler` and `coronaviruses.covid19`.
* The donation goal meter visible on [the frontpage](https://tildes.net) has been added to [the Financials page](https://tildes.net/financials), an [open-source contribution by](https://gitlab.com/tildes/tildes/-/merge_requests/84) @timo.
* Scheduled topic markdown and titles can now take advantage of Jinja templating. <small>Currently only @Deimos can create and edit the scheduled topics, but this feature will be very useful in the future.</small>
