<h2 id="august-2018">
  August 2018
  <span id="authors">by @Bauke and @Kat</span>
</h2>

### Contributions

Since [last month's open-sourcing](https://til.bauke.xyz/2018/july.html#open-source) plenty of contributions have come in by various users, so let's go through some of those. You can find the official topics about these listed below in [the Notable Official Topics table](#notable-official-topics).

* Special styles for the [NSFW](https://tildes.net/?tag=nsfw) and [Spoiler](https://tildes.net/?tag=spoiler) tags have been added, as well as making the always appear first in the tag list. This was added by [Ivan Fonseca](https://gitlab.com/ivanfon). You can find the merge request here.
* A "Mark All As Read" button has been added, so you don't have to manually mark all of your notifications yourself. If you have any unread notifications you can find the button under [notifications/unread](https://tildes.net/notifications/unread). This was added by [James Southern](https://gitlab.com/jms301). You can find the merge request [here](https://gitlab.com/tildes/tildes/merge_requests/21).
* 2 factor authentication! The long awaited, much requested security feature has been added and you can find it in [your settings](https://tildes.net/settings/two_factor) as usual. Don't forget to write down your backup codes somewhere, they're important! The feature was added by [thesbros](https://gitlab.com/thesbros) and you can find the merge request [here](https://gitlab.com/tildes/tildes/merge_requests/18).
* Username mentions, now when someone posts a comment with "@username" that person will receive a notification. It was added by [Celeo](https://gitlab.com/Celeo) and you can find the merge request [here](https://gitlab.com/tildes/tildes/merge_requests/6).
* Default theme for your account, in [your settings](https://tildes.net/settings) you can now set a default theme for your account so it will always use that one on new devices. However if you change the theme without setting the account default, that'll be the one used in your session using your browser's cookies. So you can still change to White in the middle of the night manually, if you don't like your eyes. This was another contribution by [Celeo](https://gitlab.com/Celeo) and the merge request is [here](https://gitlab.com/tildes/tildes/merge_requests/25).
* Collapsing and expanding all non-top-level comments buttons have been added just above the comments section. Which will definitely come in handy in some larger threads. This was added by [Jeff Kayser](https://gitlab.com/jeffkayser) and the merge request is [here](https://gitlab.com/tildes/tildes/merge_requests/26).

### Changes

Of course there hasn't been just contributions by other users, so let's give @Deimos some love too for what he's changed this month. Official topics can again be found below.

* The editing grace period has been increased to 5 minutes, so you'll have 5 minutes to edit your comment/topic before the "edited ... ago" will show up. The previous grace period was 2 minutes, a little too short.
* Your profile now has pagination, meaning you can go aaaalll the way back to your first comment and/or topic and see how you embarrassed yourself without even realizing it. Topics can be looked through by going to your profile and clicking on the buttons at the top or by adding `?type=topic` after your profile URL, like this for my profile: `https://tildes.net/user/Bauke?type=topic` and of course the same with comments except you do `?type=comment` for that.
* Some new Markdown has also been enabled, namely Tables and Strikethrough. So now you can aesliy easily remove that incorrect thing you typed and make tables much quicker with it's simple pipe syntax. The [Text Formatting](https://docs.tildes.net/text-formatting#strikethrough) page has been updated with the new additions.
* And, auto-collapsing of old comments has been added to the ["mark new comments" feature](https://tildes.net/settings/comment_visits), making it easier to follow threads if you have it enabled.

### Permissions

Halfway through August [a topic was posted](https://tild.es/53r) that introduced several permissions that could be granted manually to users. Namely, editing a topic's tags, title and which group it's in.

So far tag editing permissions have been given to quite a number of people. Moving topics to different groups to less people and title editing to nobody yet, as far as I know.

### Wiki & Chats

In response to user request, the 18th saw the creation of [the unofficial Tildes wiki](https://tildeswiki.katsuricata.com/), born for the purpose of helping groups create more‐permanent archives of content and catalogue some community best practices until Tildes gets an official one on‐site. Some good examples are [the \~hobbies page](https://tildeswiki.katsuricata.com/doku.php/hobbies), which lists the hobbies that currently have dedicated megathreads—alongside some suggestions for new ones—and [\~tech’s list of FOSS alternatives for closed‐source software](https://tildeswiki.katsuricata.com/doku.php/tech:foss_alternatives_to_popular_services), for those just getting into a more privacy‐focused mindset without knowing where to start.

It’s also home to the list of [all currently‐known unofficial community chats](https://tildeswiki.katsuricata.com/doku.php/chats), for when you want to talk to fellow Tildes users in a more casual setting, as well as the [off‐site user directory](https://tildeswiki.katsuricata.com/doku.php/users), should you wish to detail a profile for yourself more comprehensive than what the site allows. It is currently editable by anyone without registration (though registration will hide your IP address on public edit logs), so if you’d like to help build it up, take a look at [the manual](https://tildeswiki.katsuricata.com/doku.php/wiki:dokuwiki) and [syntax guide](https://tildeswiki.katsuricata.com/doku.php/wiki:syntax) and make a few contributions! Right now, most of the edits are from some power user, and we don’t want to let them get undue influence over the wiki.
