<h2 id="august-2019">
  August 2019
  <span id="authors">by @Bauke</span>
</h2>

### Various Updates

Over the course of August there have been various updates/improvements made, some of which you can read more about [here](https://tild.es/gla) or briefly summarized in this list:

* [The Docs](https://docs.tildes.net/) have had a major rewrite/reorganization/rework using [the Wiki system](https://tildes.net/~tildes.official/wiki). (Contributed by @Algernon_Asimov, thank you!)
* You can now write small text using the `<small>` HTML tag.
* You can now also write expandable boxes/"spoilerboxes" using the `<details>` and `<summary>` HTML tags. [Check out the Text Formatting docs](https://tildes.net/~tildes.official/wiki/instructions/text_formatting#expandable_sections) for an example.
* A new theme "Zenburn" has been added, you can change themes in [your settings](https://tildes.net/settings).
* A small warning will now display above the comment box if the topic or comment you're replying to is over a week old. (Open-source contribution by @deing, thank you!)
* If you have the [mark new comments](https://tildes.net/settings/comment_visits) feature enabled, visiting topics you've previously read will now automatically jump you to the comments section.

### GitLab Reorganization

A big reorganization of the GitLab issue tracker has been underway during the end of August, although it is not yet finished here's a small list of some things that have changed so far:

* Labels have been completely redone, [view them all here](https://gitlab.com/tildes/tildes/-/labels).
* @Deimos has gone through the entire tracker and either accepted or denied all the issues, if you've ever wanted to contribute to the code but couldn't find anything you could work on that was confirmed to be a wanted feature now is the time to check again. You can filter for [Stage::Accepted](https://gitlab.com/tildes/tildes/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=Stage%3A%3AAccepted) to find them easily.
* [Several "Epics" have been made](https://gitlab.com/groups/tildes/-/epics) to track individual issues for broad features of Tildes such as Search and the Wiki system, more Epics will be made in the coming weeks/months.

And a bunch more things I will cover in next month's post once the reorganization is finished.
